Wondering what’s next for npm?Check out our public roadmap! »

    ls-engines

    0.5.0 • Public • Published

    ls-engines Version Badge

    dependency status dev dependency status License Downloads

    npm badge

    Determine if your dependency graph's stated "engines" criteria is met.

    Example

    > ls-engines
    `package.json` found; building ideal tree from package.json...
    
    Valid node version range: ^14 || ^13 || ^12 || ^11 || ^10 || ^9 || ^8 || ^7 || ^6 || ^5 || ^4 || ^0.12 || ^0.11 || ^0.10 || ^0.9 || ^0.8
    
    Currently available, most recent, valid node major versions: v14.2, v13.14, v12.16.3, v11.15, v10.20.1, v9.11.2, v8.17, v7.10.1, v6.17.1, v5.12, v4.9.1, v0.12.18, v0.11.16, v0.10.48, v0.9.12, v0.8.28
    
    Current node version, v13.7.0, is valid!

    ls-engines takes a --mode option, which defaults to "auto", but can also be "actual", "virtual", or "ideal". ”actual“ reads from node_modules; ”virtual“ reads from a lockfile; “ideal” reads from package.json.

    Install

    npm i ls-engines

    DownloadsWeekly Downloads

    19

    Version

    0.5.0

    License

    MIT

    Unpacked Size

    41.5 kB

    Total Files

    15

    Last publish

    Collaborators

    • avatar